using KwaiAds.Scripts.Api.Reward;
using UnityEngine;

public class RewardAdListener : IRewardAdListener
{
    public void OnAdClick()
    {
        // 激励广告调整转换页 | Reward ad adjustment conversion page
    }

    public void OnAdClose()
    {
        // 激励广告关闭 | Reward ad close 
        KwaiAdsManager.LoadRewardAd();
    }

    public void OnAdPlayComplete()
    {
        // 激励视频播放完成 | Reward video play complete 
    }

    public void OnAdShow()
    {
        // 激励视频曝光 | Reward video show 
    }

    public void OnAdShowFailed(int code, string msg)
    {
        Debug.LogFormat($"RewardAdListener#OnAdShowFailed , code:{code}, msg:{msg}");
    }

    public void OnRewardEarned()
    {
        // 获取到激励 | Reward earned 
        KwaiAdsManager.OnRewardAdCallback();
    }
}